Test Nodes

/api/v2/testnodes/{id} 📋 Copied! Get Test Node Details

Parameters

Name Description
id * Numeric ID of the Test Node.
Type: integer (path)

Responses

Code Description
200

Test Node data.

Media type: application/json

Example Value:

{
    "id": 0,
    "name": "string",
    "label": "string",
    "projects": [
        {
            "id": 0,
            "name": "string"
        }
    ]
}
404

Resource was not found.

Media type: application/json

Example Value:

{
    "id": 0,
    "name": "string",
    "label": "string",
    "projects": [
        {
            "id": 0,
            "name": "string"
        }
    ]
}
/api/v2/testnodes/{id} 📋 Copied! Update a Test Node

Parameters

Name Description
id * Numeric ID of the Test Node.
Type: integer (path)

Request body

application/json

Example Value:

{
    "name": "string"
}

Responses

Code Description
200

Test Node was updated successfully.

404

Resource was not found.

/api/v2/testnodes/{id}/action 📋 Copied! Execution Action on a Test Node

Parameters

Name Description
id * Numeric ID of the Test Node.
Type: integer (path)

Request body

application/json

Example Value:

{
    "command": "RESTART_AGENT",
    "params": "string"
}

Responses

Code Description
200

Result of the Action Execution.

Media type: application/json

Example Value:

{
    "status": "string",
    "result": {
        "empty": true,
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
    }
}
404

Resource was not found.

Media type: application/json

Example Value:

{
    "status": "string",
    "result": {
        "empty": true,
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
    }
}
409

Action cannot be executed.

Media type: application/json

Example Value:

{
    "status": "string",
    "result": {
        "empty": true,
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
    }
}
/api/v2/testnodes 📋 Copied! List Test Nodes

Parameters

Name Description
page (query) The page to list entries. Default value: 0
size (query) The page size for listing entries. Default value: 20
sort (query) The sort type for listing entries.
prj (query) The project list for filtering entries.

Responses

Code Description
200

OK

Media type: application/json

Example Value:

{
    "totalElements": 0,
    "totalPages": 0,
    "number": 0,
    "sort": {
        "sorted": true,
        "unsorted": true,
        "empty": true
    },
    "size": 0,
    "content": [
        {
            "id": 0,
            "name": "string",
            "label": "string",
            "projects": [
                {
                    "id": 0,
                    "name": "string"
                }
            ]
        }
    ],
    "first": true,
    "last": true,
    "pageable": {
        "sort": {
            "sorted": true,
            "unsorted": true,
            "empty": true
        },
        "offset": 0,
        "paged": true,
        "unpaged": true,
        "pageNumber": 0,
        "pageSize": 0
    },
    "numberOfElements": 0,
    "empty": true
}
/api/v2/testnodes 📋 Copied! Create a Test Node

Parameters

No parameters

Request body

application/json

Example Value:

{
    "name": "string"
}

Responses

Code Description
201

ID of the Test Node.

Media type: application/json

Example Value:

{
    "id": 0
}
409

Name needs to be unique.

Media type: application/json

Example Value:

{
    "id": 0
}
/api/v2/testnodes/{id}/status 📋 Copied! Check Status of Test Node

Parameters

Name Description
id * Numeric ID of the Test Node.
Type: integer (path)

Responses

Code Description
200

Test Node Status Result.

Media type: application/json

Example Value:

{
    "success": true,
    "message": "string"
}
/api/v2/testnodes/info 📋 Copied! Get Information for Test Nodes

Parameters

No parameters

Responses

Code Description
200

Test Node Info Result.

Media type: application/json

Example Value:

{
    "data": [
        {
            "testNodeId": 0,
            "testNodeLabel": "string",
            "testNodeName": "string",
            "agentData": {
                "created": "2024-07-30T18:51:58.803Z",
                "ipInfo": {
                    "array": true,
                    "empty": true,
                    "null": true,
                    "int": true,
                    "long": true,
                    "short": true,
                    "double": true,
                    "float": true,
                    "object": true,
                    "pojo": true,
                    "number": true,
                    "textual": true,
                    "boolean": true,
                    "binary": true,
                    "nodeType": "ARRAY",
                    "bigDecimal": true,
                    "bigInteger": true,
                    "valueNode": true,
                    "containerNode": true,
                    "missingNode": true,
                    "integralNumber": true,
                    "floatingPointNumber": true
                },
                "version": "string"
            },
            "agentDetailedData": {
                "created": "2024-07-30T18:51:58.803Z",
                "devices": [
                    {
                        "id": 0,
                        "name": "string",
                        "deviceId": "string",
                        "state": "UNAVAILABLE",
                        "data": {
                            "array": true,
                            "empty": true,
                            "null": true,
                            "int": true,
                            "long": true,
                            "short": true,
                            "double": true,
                            "float": true,
                            "object": true,
                            "pojo": true,
                            "number": true,
                            "textual": true,
                            "boolean": true,
                            "binary": true,
                            "nodeType": "ARRAY",
                            "bigDecimal": true,
                            "bigInteger": true,
                            "valueNode": true,
                            "containerNode": true,
                            "missingNode": true,
                            "integralNumber": true,
                            "floatingPointNumber": true
                        }
                    }
                ],
                "stats": {
                    "sqs": {
                        "sendError": 0,
                        "recvError": 0,
                        "delError": 0,
                        "allZeroes": true
                    }
                }
            }
        }
    ]
}